1.3.4-1
------------------
This pull request deals with restructuring the updated static files. To recap:

##### Static Folder
- `project/static` is now ignored in version control. Nothing in this folder may be committed. It is a catch-all for compiled static output, nothing more.
- `project/static` has moved to `project/source`

##### Resources Folder
- The `resources` folder is no more
- `resources/compass/scss` has moved to `project/source/scss`
- `resources/compass/gems` has moved to `.bundle/gems`

To accommodate the reorganization, some features have been introduced across RBP. You should probably take the time to read this, it will affect your project:

##### Caboose Changes
- Caboose compiles as usual (`grunt compass:dev`).
- Sprites are now compiled to `project/static/img`, leaving the `source` directory in pristine condition.
- For interoperability purposes, compiled sprites **must be saved to `project/source/img/sprites`**.

##### Rosy Changes
- `project/static/js` has moved to `project/source/js`

##### Image Changes
- `project/static/img` has moved to `project/source/img`
- `grunt build:img` will now copy images into the static directory and optimize them. Note that this functionality requires additional binaries to be installed, mainly `optipng` and `jpegtran`. RED Boilerplate will warn you about this on install.

##### New Functionality
- `grunt copy` will copy anything else you require from `project/source/*` into `project/static/*`. Because this will probably be customized in a project-per-project basis, you can access and customize this task inside of your local `robyn/tasks/copy.js`. It's very extensible, and can actually copy any folder anywhere.

##### Misc
- Since we can now safely ignore `project/static`, RBP is no longer ignoring *.css, *.min.js specifically.
- I've removed `test` folders from Caboose and Rosy. These just served to clutter projects and are only useful in their proper repositories.
- Updated Modernizr to ignore more expensive folders.
- Updates some fringe cases when checking system dependencies.

##### tl;dr
![#will](https://s3.amazonaws.com/static.tumblr.com/cxkcond/q6lmde6lh/dogface.gif)


### UPDATE

After discussions with Peter + Taka, I've made the following changes to this pull request:

- In the near future, source mapping will become a very useful tool in debugging our JavaScript. It therefore makes sense to have our source files continue to exist in the `project/static/js` folder.
- Front-end devs will need to run `grunt watch:copy` (or just `grunt watch`) when modifying source JavaScript. This task will monitor and copy JavaScript from `project/source` to `project/static`.
- The `grunt copy` task now includes both a `dev` mode and `prod` mode. As mentioned, this is a robust task that can copy any file anywhere, and is not limited to the static/source folders. You may keep the same functionality in production and development modes, or you may feel free to customize to your needs.
- We will not be introducing a `SOURCE_URL` template variable at this time.
- I've updated watcher methods to only affect modified files. This has resulted in a massive speed boost while watching files.
